#pragma once

#include "TipUpdater_dll.h"
#include "TipCommand.h"
#include "MessageBox.h"
#include "Application.h"

namespace tipupdater
{

	/**
	* @class ShowUpdaterConfigDialogCommand
	* ȯ漳â  Command Ŭ.
	*/
	class ShowUpdaterConfigDialogCommand : public TipCommand
	{
	public:
		DECLARE_PROPERTY_TIPACTION(ShowUpdaterConfigDialogCommand)
		ShowUpdaterConfigDialogCommand(void){}
		virtual ~ShowUpdaterConfigDialogCommand(void) {}

		BOOL ExecuteImpl();
	};

	/**
	* @class SaveConfigCommand
	* ȯ漳  ϴ Command Ŭ.
	*/
	class SaveConfigCommand : public TipCommand
	{
	public:
		DECLARE_PROPERTY_TIPACTION(SaveConfigCommand)
		SaveConfigCommand(void){}
		virtual ~SaveConfigCommand(void) {}

		BOOL	ExecuteImpl();
		void	SetAutoStart(BOOL value){ m_bAutoStart = value; }
		void	SetShowTray(BOOL value){ m_bShowTray = value; }
		void	SetCheckCoreValue(BOOL value){ m_bCoreValueCheck = value; }
		void	SetNotifyUpdateInformation(BOOL value){ m_bNotifyUpdateInformation = value; }
		void SetInstallPath( CString strInstallPath );
	private:
		BOOL	m_bAutoStart;
		BOOL	m_bShowTray;
		BOOL	m_bCoreValueCheck;
		BOOL	m_bNotifyUpdateInformation;
		CString m_strInstallPath;
	};
};